version: "2.1"
services:
  my-sshd:
#    image: ghcr.io/linuxserver/openssh-server
    image: 6865dfe40381 
    container_name: my-opensshd 
    hostname: openssh-server #optional
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Asia/Hongkong
#      - PUBLIC_KEY= #optional
#      - PUBLIC_KEY_FILE=/path/to/file #optional
      - SUDO_ACCESS=false #optional
      - PASSWORD_ACCESS=true #optional
      - USER_PASSWORD=110010111000 #optional
#      - USER_PASSWORD_FILE=/path/to/file #optional
      - USER_NAME=sesame_open #optional
    volumes:
      - ./config:/config
    ports:
      - 9122:2222
    restart: "no" 
